#logo {
    position: fixed;
    left: 18px;
    top: 18px;
    z-index: 100;
}


/* Color schemes */

.nav {
    --path-fill-1: #413f46;
    --path-fill-2: #e6e5ea;
    --path-fill-3: #171619;
    --color-menu: #FFF;
    --color-menu-hover: #9C27B0;
    --font-size-menu: 3vmax;
    --font-weight-menu: 700;
    --button-line: #FFF;
}

.g-menu {
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    pointer-events: none;
    z-index: 100;
}


.g-menu__item {
    color: var(--color-menu);
    font-family: var(--font-family-menu);
    font-size: var(--font-size-menu);
    font-weight: var(--font-weight-menu);
    opacity: 0;
    pointer-events: none;
    display: block;
    transition:transform 0.3s, opacity 0.3s ,background 0.2s;
    margin: 1rem 0;
}

.g-menu__item.is-opened {
    opacity: 1;
    pointer-events: auto;
}

.g-menu__item:nth-of-type(1) {
    transition-delay: 0s;
}

.g-menu__item.is-opened:nth-of-type(1) {
    transition-delay: 0.85s;
}

.g-menu__item:nth-of-type(2) {
    transition-delay: 0.05s;
}

.g-menu__item.is-opened:nth-of-type(2) {
    transition-delay: 0.8s;
}

.g-menu__item:nth-of-type(3) {
    transition-delay: 0.1s;
}

.g-menu__item.is-opened:nth-of-type(3) {
    transition-delay: 0.75s;
}

.g-menu__item:nth-of-type(4) {
    transition-delay: 0.15s;
}

.g-menu__item.is-opened:nth-of-type(4) {
    transition-delay: 0.7s;
}

.g-menu__item:nth-of-type(5) {
    transition-delay: 0.2s;
}

.g-menu__item.is-opened:nth-of-type(5) {
    transition-delay: 0.65s;
}

.g-menu__item:nth-of-type(6) {
    transition-delay: 0.25s;
}

.g-menu__item.is-opened:nth-of-type(6) {
    transition-delay: 0.6s;
}

.g-menu__item:nth-of-type(7) {
    transition-delay: 0.3s;
}

.g-menu__item.is-opened:nth-of-type(7) {
    transition-delay: 0.55s;
}

.g-menu__item:nth-of-type(8) {
    transition-delay: 0.35s;
}

.g-menu__item.is-opened:nth-of-type(8) {
    transition-delay: 0.6s;
}


/*icon*/

.g-menu__item.icon {
    line-height: 1.8rem;
    font-size: 1.2rem;
    vertical-align: top;
    border-top: 1px solid #fff;
    padding-top: 1.2rem;
}

.g-menu__item.icon img {
   width: 1.2rem;
   margin-right: .5rem;
}
.g-menu__item.icon img {
   opacity:1;
}


.g-menu__item a:hover {
    background: url(../images/common/bg-link.png);
    background-repeat: no-repeat;
    background-size: 100% 1em;
    background-position: 0 0.75em;
}


.shape-overlays {
    width: 100vw;
    height: 100vh;
    pointer-events: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99;
}

.shape-overlays.is-opened {
    pointer-events: auto;
}

.shape-overlays__path:nth-of-type(1) {
    fill: var(--path-fill-1);
}

.shape-overlays__path:nth-of-type(2) {
    fill: var(--path-fill-2);
}

.shape-overlays__path:nth-of-type(3) {
    fill: var(--path-fill-3);
}

.shape-overlays__path:nth-of-type(4) {
    fill: var(--path-fill-4);
}

@-webkit-keyframes intervalHamburgerBorder {
    0% {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    80% {
        -webkit-transform: scale(1.6);
        transform: scale(1.6);
    }
    100% {
        opacity: 0;
        -webkit-transform: scale(1.6);
        transform: scale(1.6);
    }
}

@keyframes intervalHamburgerBorder {
    0% {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    80% {
        -webkit-transform: scale(1.6);
        transform: scale(1.6);
    }
    100% {
        opacity: 0;
        -webkit-transform: scale(1.6);
        transform: scale(1.6);
    }
}

.hamburger {
    width: 114px;
    height: 54px;
    display: block;
    cursor: pointer;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 110;
    background-color: var(--button-bg);
    pointer-events: auto;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.hamburger p {
    top: 20px;
    position: absolute;
    font-size: 14px;    right: 57px;
}

.hamburger__line {
    width: 27px;
    height: 3px;
    overflow: hidden;
    position: absolute;
    z-index: 10;
}

.hamburger__line-in {
    width: 84px;
    height: 2px;
    position: absolute;
    top: 0;
    left: 0;
}

.hamburger__line-in::before,
.hamburger__line-in::after {
    width: 28px;
    height: 2px;
    content: '';
    display: block;
    position: absolute;
    top: 0;
    background-color: var(--button-line);
}

.hamburger__line-in::before {
    left: -56px;
}

.hamburger__line-in::after {
    left: 0;
}

.hamburger__line--01,
.hamburger__line--02,
.hamburger__line--cross01,
.hamburger__line--cross02 {
    right: 20px;
}

.hamburger__line--01 {
    top: 21px;
}

.hamburger__line--02 {
    top: 29px;
    width: 24px;
    right: 23px;
}

.hamburger__line--cross01,
.hamburger__line--cross02 {
    top: 29px;
}


.hamburger__line--cross01 {
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}

.hamburger__line--cross02 {
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.hamburger__line {
    -webkit-transition-duration: 0.6s;
    transition-duration: 0.6s;
    -webkit-transition-timing-function: cubic-bezier(0.19, 1, 0.22, 1);
    transition-timing-function: cubic-bezier(0.19, 1, 0.22, 1);
}

.hamburger__line-in::before,
.hamburger__line-in::after {
    -webkit-transition-property: -webkit-transform;
    transition-property: -webkit-transform;
    transition-property: transform;
    transition-property: transform, -webkit-transform;
}

.hamburger__line-in--cross01,
.hamburger__line-in--cross02 {
    -webkit-transform: translateX(-33.3%);
    transform: translateX(-33.3%);
}

.hamburger__line-in--01 {
    -webkit-transition-delay: 0.2s;
    transition-delay: 0.2s;
}

.hamburger__line-in--02 {
    -webkit-transition-delay: 0.25s;
    transition-delay: 0.25s;
}

.hamburger__line-in--02::before,
.hamburger__line-in--02::after {
    -webkit-transition-delay: 0.05s;
    transition-delay: 0.05s;
}



.hamburger__line-in--cross01 {
    -webkit-transition-delay: 0.0s;
    transition-delay: 0.0s;
}

.hamburger__line-in--cross02 {
    -webkit-transition-delay: 0.05s;
    transition-delay: 0.05s;
}

.hamburger__line-in--cross02::before,
.hamburger__line-in--cross02::after {
    -webkit-transition-delay: 0.1s;
    transition-delay: 0.1s;
}

.hamburger.is-opened-navi .hamburger__line-in--01,
.hamburger.is-opened-navi .hamburger__line-in--02 {
    -webkit-transform: translateX(33.3%);
    transform: translateX(33.3%);
}

.hamburger.is-opened-navi .hamburger__line-in--cross01,
.hamburger.is-opened-navi .hamburger__line-in--cross02 {
    -webkit-transform: translateX(0);
    transform: translateX(0);
}

.hamburger.is-opened-navi .hamburger__line-in--01 {
    -webkit-transition-delay: 0s;
    transition-delay: 0s;
}

.hamburger.is-opened-navi .hamburger__line-in--02 {
    -webkit-transition-delay: 0.05s;
    transition-delay: 0.05s;
}

.hamburger.is-opened-navi .hamburger__line-in--cross01 {
    -webkit-transition-delay: 0.25s;
    transition-delay: 0.25s;
}

.hamburger.is-opened-navi .hamburger__line-in--cross02 {
    -webkit-transition-delay: 0.3s;
    transition-delay: 0.3s;
}

.hamburger:hover .hamburger__line-in::before,
.hamburger:hover .hamburger__line-in::after {
    -webkit-transform: translateX(200%);
    transform: translateX(200%);
}

.hamburger:hover .hamburger__line-in--01::before,
.hamburger:hover .hamburger__line-in--01::after,
.hamburger:hover .hamburger__line-in--02::before,
.hamburger:hover .hamburger__line-in--02::after {
    -webkit-transition-duration: 1s;
    transition-duration: 1s;
}

.hamburger:hover .hamburger__line-in--cross01::before,
.hamburger:hover .hamburger__line-in--cross01::after,
.hamburger:hover .hamburger__line-in--cross02::before,
.hamburger:hover .hamburger__line-in--cross02::after {
    -webkit-transition-duration: 0s;
    transition-duration: 0s;
}

.hamburger.is-opened-navi:hover .hamburger__line-in--cross01::before,
.hamburger.is-opened-navi:hover .hamburger__line-in--cross01::after,
.hamburger.is-opened-navi:hover .hamburger__line-in--cross02::before,
.hamburger.is-opened-navi:hover .hamburger__line-in--cross02::after {
    -webkit-transition-duration: 1s;
    transition-duration: 1s;
}

.hamburger.is-opened-navi:hover .hamburger__line-in--01::before,
.hamburger.is-opened-navi:hover .hamburger__line-in--01::after,
.hamburger.is-opened-navi:hover .hamburger__line-in--02::before,
.hamburger.is-opened-navi:hover .hamburger__line-in--02::after {
    -webkit-transition-duration: 0s;
    transition-duration: 0s;
}





@media screen and (max-width: 700px) {
#logo {
    width: 140px;
}

.nav {
    --font-size-menu: 4vmax;
}
.g-menu__item{
    margin: 1rem 0;
}
}